#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hledger-lib
version:              1.21
visibility:           public
id:                   hledger-lib-1.21-CzziIMkNUeSBtjlYfJ2mcb
key:                  hledger-lib-1.21-CzziIMkNUeSBtjlYfJ2mcb
license:              GPL-3.0-only
maintainer:           Simon Michael <simon@joyful.com>
author:               Simon Michael <simon@joyful.com>
stability:            stable
homepage:             http://hledger.org
synopsis:
    A reusable library providing the core functionality of hledger

description:
    A reusable library containing hledger'\''s core functionality.
    This is used by most hledger* packages so that they support the same
    common file formats, command line options, reports etc.

    hledger is a robust, cross-platform set of tools for tracking money,
    time, or any other commodity, using double-entry accounting and a
    simple, editable file format, with command-line, terminal and web
    interfaces. It is a Haskell rewrite of Ledger, and one of the leading
    implementations of Plain Text Accounting. Read more at:
    <https://hledger.org>

category:             Finance
abi:                  4cc821df7668a146a932132ec6e4cc0b
exposed:              True
exposed-modules:
    Hledger Hledger.Data Hledger.Data.Account Hledger.Data.AccountName
    Hledger.Data.Amount Hledger.Data.Commodity Hledger.Data.Dates
    Hledger.Data.Journal Hledger.Data.Json Hledger.Data.Ledger
    Hledger.Data.Period Hledger.Data.PeriodicTransaction
    Hledger.Data.Posting Hledger.Data.RawOptions
    Hledger.Data.StringFormat Hledger.Data.Timeclock
    Hledger.Data.Transaction Hledger.Data.TransactionModifier
    Hledger.Data.Types Hledger.Data.Valuation Hledger.Query
    Hledger.Read Hledger.Read.Common Hledger.Read.CsvReader
    Hledger.Read.JournalReader Hledger.Read.TimeclockReader
    Hledger.Read.TimedotReader Hledger.Reports
    Hledger.Reports.AccountTransactionsReport
    Hledger.Reports.BalanceReport Hledger.Reports.BudgetReport
    Hledger.Reports.EntriesReport Hledger.Reports.MultiBalanceReport
    Hledger.Reports.PostingsReport Hledger.Reports.ReportOptions
    Hledger.Reports.ReportTypes Hledger.Reports.TransactionsReport
    Hledger.Utils Hledger.Utils.Color Hledger.Utils.Debug
    Hledger.Utils.Parse Hledger.Utils.Regex Hledger.Utils.String
    Hledger.Utils.Test Hledger.Utils.Text Hledger.Utils.Tree
    Hledger.Utils.UTF8IOCompat Text.Tabular.AsciiWide

hidden-modules:
    Text.Megaparsec.Custom Text.WideString Paths_hledger_lib

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hledger-lib-1.21
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hledger-lib-1.21
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hledger-lib-1.21
hs-libraries:         HShledger-lib-1.21-CzziIMkNUeSBtjlYfJ2mcb
depends:
    Decimal-0.5.2-8MbmI0rpVu99zusswvTsSv
    Glob-0.10.1-7vaf1TMX7dPGS3k3lmChvj
    aeson-1.5.6.0-4lI4Q9XYYOw6EMYr9f1A41
    aeson-pretty-0.8.8-3SYKe49AUmZ7yYhfhYdQav
    ansi-terminal-0.11-6nluG5txe6B9NiOiR32C01 array-0.5.4.0
    base-4.14.1.0 base-compat-batteries-0.11.2-31OynPgnHIR7kCGGtQro3n
    blaze-markup-0.8.2.8-FsyYVXkdcGz5GLL6iR0c9X bytestring-0.10.12.0
    call-stack-0.3.0-5Mj0U3oidh8Dm8auDPZCpq
    cassava-0.5.2.0-J2xKGEVHpO5A5W908k8qSS
    cassava-megaparsec-2.0.2-8laEA04hamKK6fYXO7O0Bc
    cmdargs-0.10.21-KlHphs6sBhIECkIRkNdEOM containers-0.6.2.1
    data-default-0.7.1.1-DVZWGRf90hqGebpGTaPvOV directory-1.3.6.0
    extra-1.7.9-FNqodXfsiokEyW4O1QYz6T
    file-embed-0.0.13.0-w1EA2BlVGr45s6RdXSQRQ filepath-1.4.2.1
    hashtables-1.2.4.1-CEhEBPUBORrGHi9wONVcXM
    megaparsec-9.0.1-1XABqjW3fqw5zNhtSigyoz mtl-2.2.2
    old-time-1.1.0.3-4WAXseRXxLRKCRu471UUPK
    parser-combinators-1.3.0-DiU4leLN1bk4yjPVc8BdOd
    pretty-simple-4.0.0.0-Gb4GilDSXZg5yOrjiJEs93
    regex-tdfa-1.3.1.0-JGQEzvFVQF39kClVWuccwj
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b
    tabular-0.2.2.8-CBujZAWqvuoASG1Z76xmdo
    tasty-1.4.1-LxaMB018AI1CCPGXyEZylF
    tasty-hunit-0.10.0.3-6xwavNXndl18o9p6W1HNlc
    template-haskell-2.16.0.0 text-1.2.4.1 time-1.9.3
    timeit-2.0-9cuf7StXLBAKHvaFJ7TqTD transformers-0.5.6.2
    uglymemo-0.1.0.1-8jnmvCxUgD63i0ga11QOlD
    unordered-containers-0.2.13.0-KzaktTJkN1lG5bdgci6oxQ
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV

haddock-interfaces:   /usr/share/doc/haskell-hledger-lib/html/hledger-lib.haddock
haddock-html:         /usr/share/doc/haskell-hledger-lib/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

